package utils

import (
	"github.com/go-ini/ini"
)

// Conf
// 全局对象
var Conf *Config

// instance
var instance *ini.File

// Config
type Config struct{}

// init
// 初始化
//
//	@receiver c
//	@return *ini.File
func (c *Config) init() *ini.File {
	if instance == nil {
		f, _ := ini.Load("config.ini")
		instance = f
	}

	return instance
}

// Get
// 获取配置
//
//	@receiver c
//	@param section
//	@param key
//	@return string
func (c *Config) Get(section string, key string) string {
	return c.init().Section(section).Key(key).String()
}
